package cn.yw.alarmtaskmanage.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("ywalarmrulelinksmsDao")
public class YwalarmrulelinksmsDao  extends SqlMapClientDaoSupport{
	
	@Autowired
	private SqlMapClient sqlMapClient;
	
	@PostConstruct
	public void initSqlMapClient() {
		super.setSqlMapClient(sqlMapClient);
	}
	/**
	 * 增加记录
	 */
	
	public void insert_Ywalarmrulelinksms(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Ywalarmrulelinksms",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	
	public void batch_insert_Ywalarmrulelinksms(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Ywalarmrulelinksms",batch);
	}
	
	 
	/**
	 * 修改记录
	 */
	
	public Integer update_Ywalarmrulelinksms(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Ywalarmrulelinksms",map);
	}
	
	
	/**
	 * 删除记录
	 */
	
	public Integer delete_Ywalarmrulelinksms(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Ywalarmrulelinksms",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	
	public Integer batch_delete_Ywalarmrulelinksms(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Ywalarmrulelinksms",map);
	}
	
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Ywalarmrulelinksms(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Ywalarmrulelinksms",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Ywalarmrulelinksms(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Ywalarmrulelinksms",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywalarmrulelinksms(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Ywalarmrulelinksms",map);
	}

}
